GET Assessment details

This API retrieves information about the assessment like the basic metadata and skills

Request URL

GET /assessments/<assessment_id>/info

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

assessment_id

integer

Assessment ID for which the details are to be fetched.

Response

  • A JSON response containing information about the assessment metadata and skills.

{
    "assessment_id": "integer",
    "assessment_name": "string",
    "creation_date": "string",
    "created_by": "string",
    "last_updated": "string",
    "number_of_sections": "string",
    "number_of_questions": "integer",
    "assessment_duration": "integer",
    "proctoring_status": {
        "ai": "boolean",
        "eyegaze": "boolean",
        "offtab": "boolean",
        "screen_record": "boolean",
        "webcam": "boolean"
    },
    "question_types": "string[]",
    "skills_included": "string[]"
}